package javax.swing.tree;

import java.beans.PropertyChangeListener;
import javax.swing.event.TreeSelectionListener;

public interface TreeSelectionModel {
   int SINGLE_TREE_SELECTION = 1;
   int CONTIGUOUS_TREE_SELECTION = 2;
   int DISCONTIGUOUS_TREE_SELECTION = 4;

   void addPropertyChangeListener(PropertyChangeListener var1);

   void addSelectionPath(TreePath var1);

   void addSelectionPaths(TreePath[] var1);

   void addTreeSelectionListener(TreeSelectionListener var1);

   void clearSelection();

   TreePath getLeadSelectionPath();

   int getLeadSelectionRow();

   int getMaxSelectionRow();

   int getMinSelectionRow();

   RowMapper getRowMapper();

   int getSelectionCount();

   int getSelectionMode();

   TreePath getSelectionPath();

   TreePath[] getSelectionPaths();

   int[] getSelectionRows();

   boolean isPathSelected(TreePath var1);

   boolean isRowSelected(int var1);

   boolean isSelectionEmpty();

   void removePropertyChangeListener(PropertyChangeListener var1);

   void removeSelectionPath(TreePath var1);

   void removeSelectionPaths(TreePath[] var1);

   void removeTreeSelectionListener(TreeSelectionListener var1);

   void resetRowSelection();

   void setRowMapper(RowMapper var1);

   void setSelectionMode(int var1);

   void setSelectionPath(TreePath var1);

   void setSelectionPaths(TreePath[] var1);
}
